ListAuditLog
POST
/log/query
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://api.huddlesurety.co/log/query"), Content = new StringContent("{ \"orgIDIn\": [ \"example\" ], \"projectIDIn\": [ \"example\" ] }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://api.huddlesurety.co/log/query"
payload := strings.NewReader("{ \"orgIDIn\": [ \"example\" ], \"projectIDIn\": [ \"example\" ] }")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");RequestBody body = RequestBody.create(mediaType, "{ \"orgIDIn\": [ \"example\" ], \"projectIDIn\": [ \"example\" ] }");Request request = new Request.Builder() .url("https://api.huddlesurety.co/log/query") .post(body) .addHeader("Content-Type", "application/json") .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'POST', url: 'https://api.huddlesurety.co/log/query', headers: {'Content-Type': 'application/json'}, data: {orgIDIn: ['example'], projectIDIn: ['example']}};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://api.huddlesurety.co/log/query';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"orgIDIn":["example"],"projectIDIn":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")val body = RequestBody.create(mediaType, "{ \"orgIDIn\": [ \"example\" ], \"projectIDIn\": [ \"example\" ] }")val request = Request.Builder() .url("https://api.huddlesurety.co/log/query") .post(body) .addHeader("Content-Type", "application/json") .build()
val response = client.newCall(request).execute()use serde_json::json;use reqwest;
#[tokio::main]pub async fn main() { let url = "https://api.huddlesurety.co/log/query";
let payload = json!({ "orgIDIn": ("example"), "projectIDIn": ("example") });
let mut headers = reqwest::header::HeaderMap::new(); headers.insert("Content-Type", "application/json".parse().unwrap());
let client = reqwest::Client::new(); let response = client.post(url) .headers(headers) .json(&payload) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request POST \ --url https://api.huddlesurety.co/log/query \ --header 'Content-Type: application/json' \ --data '{ "orgIDIn": [ "example" ], "projectIDIn": [ "example" ] }'Request Bodyrequired
Section titled “Request Bodyrequired”Body
Media typeapplication/json
Body
object
orgIDIn
Array<string>
projectIDIn
Array<string>
Examplegenerated
{ "orgIDIn": [ "example" ], "projectIDIn": [ "example" ]}Responses
Section titled “Responses”OK
Media typeapplication/json
Array<object>
object
action
required
string
actorID
required
string
createdAt
required
string
id
required
string
metadata
required
object
key
additional properties
string
orgID
required
string
projectID
required
string
targetID
required
string
targetType
required
string
Examplegenerated
[ { "action": "example", "actorID": "example", "createdAt": "example", "id": "example", "metadata": { "additionalProperty": "example" }, "orgID": "example", "projectID": "example", "targetID": "example", "targetType": "example" }]